<template name="courseCompact">
	{{#if Template.subscriptionsReady}}
		<div class="course-compact-wrap">
			<a href="{{pathFor 'showCourse'}}">
				<div class="course-compact {{courseStateClasses}} {{filterPreviewClasses}} ratio" style="--bs-aspect-ratio: 71%;">
					<div class="course-compact-inner-wrap"
						style="{{courseCss this}}">
						<div class="course-compact-content-wrapper">
							<div class="course-compact-content">
								{{#if internal}}
									<span class="course-compact-internal"
										data-tooltip="{{i18n 'courseCompact.internal_course' 'Internal course'}}"></span>
								{{/if}}
								<div class="course-compact-title" title="{{name}}">{{name}}</div>
								<div class="course-compact-description" title="{{description}}">{{plain description}}</div>
								{{> courseCategories this}}
							</div>
							{{#unless nextEvent}}
								{{> courseCompactRoles}}
							{{/unless}}
						</div>
						{{#if nextEvent}}
							{{> courseCompactEvent}}
						{{/if}}
						<div class="course-compact-members">
							<i class="{{roleIcon 'participant'}}" aria-hidden="true"></i>
							{{members.length}}
						</div>
						<div class="tag-group course-groups">
							{{#each group in groups}}
								{{> groupName groupId=group isOrganizer=(isOrganizer group)}}
							{{/each}}
						</div>
					</div>
				</div>
			</a>
		</div>
	{{/if}}
</template>

<template name="courseCompactEvent">
	<div class="course-compact-next-event">
		<div class="course-compact-next-event-component event">
			<span title="{{dateShort nextEvent.startLocal}} {{timeFormat nextEvent.startLocal}}">
				Event
			</span>
		</div>
		<div class="course-compact-next-event-component">
			<span title="{{dateShort nextEvent.startLocal}} {{timeFormat nextEvent.startLocal}}">
				{{dateToRelativeString nextEvent.startLocal}}
			</span>
		</div>
		{{#if nextEvent.venue.name}}
			<div class="course-compact-next-event-component">
				{{nextEvent.venue.name}}
			</div>
		{{/if}}
	</div>
</template>

<template name="courseCompactRoles">
	<div class="course-compact-roles">
		<!--
			<div class="course-compact-role {{roleStateClass 'team'}}"
				data-tooltip="{{roleStateTooltip 'team'}}" href="#">
				<i class="{{roleIcon 'team'}}" aria-hidden="true"></i>
			</div>
		-->
		{{#if requiresRole 'mentor'}}
			<div class="course-compact-role {{roleStateClass 'mentor'}}"
				 data-tooltip="{{roleStateTooltip 'mentor'}}" href="#">
				<i class="{{roleIcon 'mentor'}}" aria-hidden="true"></i>
			</div>
		{{/if}}
		{{#if requiresRole 'host'}}
			<div class="course-compact-role {{roleStateClass 'host'}}"
				 data-tooltip="{{roleStateTooltip 'host'}}" href="#">
				<i class="{{roleIcon 'host'}}" aria-hidden="true"></i>
			</div>
		{{/if}}
	</div>
</template>
